-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Erstellungszeit: 29. Jul 2012 um 11:05
-- Server Version: 5.5.16
-- PHP-Version: 5.3.8

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT=0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: 'elela'
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'adr'
--

CREATE TABLE IF NOT EXISTS adr (
  ID int(11) NOT NULL AUTO_INCREMENT,
  ID_ID int(11) DEFAULT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Firma varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Strasse varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  PLZ varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  Ort varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Land varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Name` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Telefon varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Telefon2 varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Mobil varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Fax varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  EMail varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  EMail2 varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Internet varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  KundNr varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  Login varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Passwort varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  UsSTID varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
  GebDatum date DEFAULT NULL,
  Bank varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  BLZ varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Konto varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  SWIFT varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  IBAN varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Lieferant int(11) DEFAULT NULL,
  Hersteller int(11) DEFAULT NULL,
  Projekt int(11) DEFAULT NULL,
  Privat int(11) DEFAULT NULL,
  Gesperrt int(11) DEFAULT NULL,
  OptZ int(11) DEFAULT NULL,
  OptQ int(11) DEFAULT NULL,
  Rabatt double DEFAULT NULL,
  Bewertung int(11) DEFAULT NULL,
  BewDatum date DEFAULT NULL,
  UpdateDatum date DEFAULT NULL,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  Bemerkung text COLLATE utf8_unicode_ci,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  UNIQUE KEY Adr_Bezeichnung_IX (ID_ID,Bezeichnung),
  KEY adr_ID_ID_IX (ID_ID),
  KEY adr_Foto_ID_IX (Foto_ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'bauteil'
--

CREATE TABLE IF NOT EXISTS bauteil (
  ID int(11) NOT NULL AUTO_INCREMENT,
  tree_typ_ID int(11) NOT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Beschreibung text COLLATE utf8_unicode_ci,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  Library varchar(70) COLLATE utf8_unicode_ci DEFAULT NULL,
  Kennz int(11) DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  UNIQUE KEY bauteil_Bezeichnung_IX (Bezeichnung),
  KEY bauteil_tree_typ_ID_IX (tree_typ_ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'bauteiladr'
--

CREATE TABLE IF NOT EXISTS bauteiladr (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Bauteil_ID int(11) NOT NULL,
  Adr_ID int(11) NOT NULL,
  BauteilLager_ID int(11) DEFAULT NULL,
  Foto_ID int(11) DEFAULT NULL,
  BestellNr varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  EPreis double DEFAULT NULL,
  Rabatt double DEFAULT NULL,
  EPMenge int(11) DEFAULT NULL,
  VPEMenge int(11) DEFAULT NULL,
  DivMenge int(11) DEFAULT NULL,
  Bemerkung text COLLATE utf8_unicode_ci,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  KEY bauteiladr_Bauteil_ID_IX (Bauteil_ID),
  KEY bauteiladr_Adr_ID_IX (Adr_ID),
  KEY bauteiladr_BauteilLager_ID_IX (BauteilLager_ID),
  KEY bauteiladr_BestellNr_IX (BestellNr)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'bauteillager'
--

CREATE TABLE IF NOT EXISTS bauteillager (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Bauteil_ID int(11) NOT NULL,
  Gehause_ID int(11) DEFAULT NULL,
  Kiste_ID int(11) DEFAULT NULL,
  Adr_ID int(11) DEFAULT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  ArtikelNr varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  ArtikelNr2 varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  SMD int(11) NOT NULL DEFAULT '0',
  SMD_Text varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Menge int(11) DEFAULT NULL,
  MengeV int(11) DEFAULT NULL,
  MengeMin int(11) DEFAULT NULL,
  EPreis double DEFAULT NULL,
  VPreis double DEFAULT NULL,
  Haltbar date DEFAULT NULL,
  Lagernr varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Art int(11) DEFAULT NULL,
  BWare int(11) DEFAULT NULL,
  RoHS int(11) DEFAULT NULL,
  Bemerkung text COLLATE utf8_unicode_ci,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  Library varchar(70) COLLATE utf8_unicode_ci DEFAULT NULL,
  Kennz int(11) DEFAULT NULL,
  Store int(11) DEFAULT NULL,
  StoreMenge double DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  Gewicht double DEFAULT NULL,
  Barcode varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  KEY bauteillager_Kiste_ID_IX (Kiste_ID),
  KEY bauteillager_Gehause_ID_IX (Gehause_ID),
  KEY bauteillager_Bauteil_ID_IX (Bauteil_ID),
  KEY bauteillager_Adr_ID_IX (Adr_ID),
  KEY bauteillager_SMD_Text_IX (SMD_Text),
  KEY bauteillager_Lagernr_IX (Lagernr),
  KEY bauteillager_Barcode_IX (Barcode),
  KEY bauteillager_Bezeichnung_IX (Bezeichnung)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'bauteilbewegung'
--

CREATE TABLE IF NOT EXISTS bauteilbewegung (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Bauteil_ID int(11) NOT NULL,
  BauteilLager_ID int(11) NOT NULL,
  Bestellen_ID int(11) DEFAULT NULL,
  Projekt_ID int(11) DEFAULT NULL,
  ProjektPos_ID int(11) DEFAULT NULL,
  UserName varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  ComputerName varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Grund varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  PMMenge int(11) DEFAULT NULL,
  Menge int(11) DEFAULT NULL,
  Datum DATETIME,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  KEY bauteilbewegung_Bauteil_ID_IX (Bauteil_ID),
  KEY bauteilbewegung_BauteilLager_ID_IX (BauteilLager_ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'bestellen'
--

CREATE TABLE IF NOT EXISTS bestellen (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Bauteil_ID int(11) DEFAULT NULL,
  BauteilLager_ID int(11) DEFAULT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Projekt_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  Auftrag varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Menge int(11) DEFAULT NULL,
  `Status` int(11) DEFAULT NULL,
  SDatum date DEFAULT NULL,
  Termin1 date DEFAULT NULL,
  Termin2 date DEFAULT NULL,
  Archiv int(11) DEFAULT NULL,
  Bemerkung text COLLATE utf8_unicode_ci,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  UseLief12 int(11) DEFAULT NULL,
  Lief_MengeVPE int(11) DEFAULT NULL,
  Lief_MengeVPESum int(11) DEFAULT NULL,
  Lager_MengeVPESum int(11) DEFAULT NULL,
  Lief1_Adr_ID int(11) DEFAULT NULL,
  Lief1_BauteilAdr_ID int(11) DEFAULT NULL,
  Lief1_BestellNr varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Lief1_MengeVPE int(11) DEFAULT NULL,
  Lief1_EPreis double DEFAULT NULL,
  Lief1_Rabatt double DEFAULT NULL,
  Lief1_GPreis double DEFAULT NULL,
  Lief2_Adr_ID int(11) DEFAULT NULL,
  Lief2_BauteilAdr_ID int(11) DEFAULT NULL,
  Lief2_BestellNr varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Lief2_MengeVPE int(11) DEFAULT NULL,
  Lief2_EPreis double DEFAULT NULL,
  Lief2_Rabatt double DEFAULT NULL,
  Lief2_GPreis double DEFAULT NULL,
  Kennz int(11) DEFAULT NULL,
  Prio int(11) DEFAULT NULL,
  OptA int(11) DEFAULT NULL,
  OptB int(11) DEFAULT NULL,
  OptC int(11) DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  KEY bestellen_Lief1_Adr_ID_IX (Lief1_Adr_ID),
  KEY bestellen_Lief2_Adr_ID_IX (Lief2_Adr_ID),
  KEY bestellen_Archiv_IX (Archiv),
  KEY bestellen_Auftrag_IX (Auftrag)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'foto'
--

CREATE TABLE IF NOT EXISTS foto (
  ID int(11) NOT NULL AUTO_INCREMENT,
  ID_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  Tabelle varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  BildTyp varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  Bild blob,
  BildDatei varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PosX0 int(11) DEFAULT NULL,
  PosY0 int(11) DEFAULT NULL,
  PosXFak double DEFAULT NULL,
  PosYFak double DEFAULT NULL,
  PosTop int(11) DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'gehause'
--

CREATE TABLE IF NOT EXISTS gehause (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Foto_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Typ varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Normbez varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Herstellerbez varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Library varchar(70) COLLATE utf8_unicode_ci DEFAULT NULL,
  Pins int(11) DEFAULT NULL,
  Raster double DEFAULT NULL,
  Gewicht double DEFAULT NULL,
  Bemerkung text COLLATE utf8_unicode_ci,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  SMD int(11) DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'historie'
--

CREATE TABLE IF NOT EXISTS historie (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Projekt_ID int(11) DEFAULT NULL,
  ProjektPos_ID int(11) DEFAULT NULL,
  Kosten_ID int(11) DEFAULT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Adr_ID int(11) DEFAULT NULL,
  AdrK_ID int(11) DEFAULT NULL,
  Datum date DEFAULT NULL,
  Projekt varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Beschreibung text COLLATE utf8_unicode_ci,
  Version varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` int(11) DEFAULT NULL,
  FStatus int(11) DEFAULT NULL,
  SNr varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  GNr varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  FDatum date DEFAULT NULL,
  FVersion varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  Kennz int(11) DEFAULT NULL,
  Aufwand double DEFAULT NULL,
  Vorgehen int(11) DEFAULT NULL,
  Abrechnung int(11) DEFAULT NULL,
  GPreis double DEFAULT NULL,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  KundeBes text COLLATE utf8_unicode_ci,
  RepNr varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  RepFehler varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  RepBes text COLLATE utf8_unicode_ci,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'kiste'
--

CREATE TABLE IF NOT EXISTS kiste (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Foto_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Nummer int(11) DEFAULT NULL,
  PosX int(11) DEFAULT NULL,
  PosY int(11) DEFAULT NULL,
  Lagerort varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  Groesse varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  Bemerkung text COLLATE utf8_unicode_ci,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  ParEtikett varchar(150) COLLATE utf8_unicode_ci DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'kosten'
--

CREATE TABLE IF NOT EXISTS kosten (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Projekt_ID int(11) DEFAULT NULL,
  Adr_ID int(11) DEFAULT NULL,
  AdrK_ID int(11) DEFAULT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Beschreibung text COLLATE utf8_unicode_ci,
  `Status` int(11) DEFAULT NULL,
  Auftrag varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Bestellnr varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Rabatt double DEFAULT NULL,
  GPreis double DEFAULT NULL,
  DAngebot date DEFAULT NULL,
  DGueltig date DEFAULT NULL,
  DLief date DEFAULT NULL,
  DAbnahme date DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  UNIQUE KEY kosten_Bezeichnung_IX (Projekt_ID,Bezeichnung),
  KEY kosten_Projekt_ID_IX (Projekt_ID),
  KEY kosten_Adr_ID_IX (Adr_ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'kostenpos'
--

CREATE TABLE IF NOT EXISTS kostenpos (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Projekt_ID int(11) DEFAULT NULL,
  Kosten_ID int(11) NOT NULL,
  ProjektPos_ID int(11) DEFAULT NULL,
  Bauteil_ID int(11) DEFAULT NULL,
  BauteilLager_ID int(11) DEFAULT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Nr int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Beschreibung text COLLATE utf8_unicode_ci,
  `Status` int(11) DEFAULT NULL,
  Menge double DEFAULT NULL,
  VPreis double DEFAULT NULL,
  Rabatt double DEFAULT NULL,
  VPSum double DEFAULT NULL,
  ArtikelNr varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Barcode varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  Termin date DEFAULT NULL,
  DLief date DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  Art int(11) DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  KEY kostenpos_Projekt_ID_IX (Projekt_ID),
  KEY kostenpos_Kosten_ID_IX (Kosten_ID),
  KEY kostenpos_ProjektPos_ID_IX (ProjektPos_ID),
  KEY kostenpos_Bauteil_ID_IX (Bauteil_ID),
  KEY kostenpos_BauteilLager_ID_IX (BauteilLager_ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'param'
--

CREATE TABLE IF NOT EXISTS param (
  ID int(11) NOT NULL AUTO_INCREMENT,
  ParNr int(11) DEFAULT NULL,
  ParName varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Land varchar(5) COLLATE utf8_unicode_ci DEFAULT NULL,
  ValInt int(11) DEFAULT NULL,
  ValFloat double DEFAULT NULL,
  ValText varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  ValMemo text COLLATE utf8_unicode_ci,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  KEY param_ParNr_IX (ParNr)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'projekt'
--

CREATE TABLE IF NOT EXISTS projekt (
  ID int(11) NOT NULL AUTO_INCREMENT,
  ID_ID int(11) DEFAULT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Bauteil_ID int(11) DEFAULT NULL,
  BauteilLager_ID int(11) DEFAULT NULL,
  Adr_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Beschreibung text COLLATE utf8_unicode_ci,
  Kennz int(11) DEFAULT NULL,
  MengeFertig int(11) DEFAULT NULL,
  MengeOffen int(11) DEFAULT NULL,
  VPreis double DEFAULT NULL,
  Termin date DEFAULT NULL,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  OptA int(11) DEFAULT NULL,
  OptB int(11) DEFAULT NULL,
  OptC int(11) DEFAULT NULL,
  Wartung date DEFAULT NULL,
  Intervall varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Auftrag varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  SNr varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Variante varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  UNIQUE KEY projekt_Bezeichnung_IX (Bezeichnung)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'projektpos'
--

CREATE TABLE IF NOT EXISTS projektpos (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Projekt_ID int(11) NOT NULL,
  Bauteil_ID int(11) DEFAULT NULL,
  BauteilLager_ID int(11) DEFAULT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  ArtikelNr varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Bemerkung text COLLATE utf8_unicode_ci,
  Symbol varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Wert varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Gehause varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  Menge int(11) DEFAULT NULL,
  EPreis double DEFAULT NULL,
  Rabatt double DEFAULT NULL,
  GPreis double DEFAULT NULL,
  Art int(11) DEFAULT NULL,
  Kennz int(11) DEFAULT NULL,
  Variante varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  PosX double DEFAULT NULL,
  PosY double DEFAULT NULL,
  PosZ double DEFAULT NULL,
  PosR double DEFAULT NULL,
  Top int(11) DEFAULT NULL,
  SMD int(11) DEFAULT NULL,
  `Status` int(11) DEFAULT NULL,
  Barcode varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  SNr varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  Druck int(11) DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  KEY projektpos_Projekt_ID_IX (Projekt_ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'translate'
--

CREATE TABLE IF NOT EXISTS translate (
  ID int(11) NOT NULL AUTO_INCREMENT,
  SWTyp int(11) DEFAULT NULL,
  BezName varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Current varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  DE varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  DE_Waren varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  EN varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  ES varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  FR varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  IT varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  NL varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  PL varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  RU varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'tree_typ'
--

CREATE TABLE IF NOT EXISTS tree_typ (
  ID int(11) NOT NULL AUTO_INCREMENT,
  ID_ID int(11) NOT NULL,
  Foto_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  BarFormat varchar(40) COLLATE utf8_unicode_ci DEFAULT NULL,
  Bemerkung text COLLATE utf8_unicode_ci,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID),
  KEY tree_typ_ID_ID_IX (ID_ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle 'wissen'
--

CREATE TABLE IF NOT EXISTS wissen (
  ID int(11) NOT NULL AUTO_INCREMENT,
  Foto_ID int(11) DEFAULT NULL,
  Bezeichnung varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  Beschreibung text COLLATE utf8_unicode_ci,
  Bemerkung text COLLATE utf8_unicode_ci,
  Thema varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` int(11) DEFAULT NULL,
  OptA int(11) DEFAULT NULL,
  OptB int(11) DEFAULT NULL,
  OptC int(11) DEFAULT NULL,
  Info varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  Kennz int(11) DEFAULT NULL,
  Handbuch varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  AendDatum timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (ID)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

--
-- Version Datenbank hinzufügen
--
DELETE FROM param WHERE ParNr=1;
INSERT INTO `param` (`ID`, `ParNr`, `ParName`, `ValText`) VALUES (1, 1, 'DB-Version', 'V2.2.13820');

SET FOREIGN_KEY_CHECKS=1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
